Skip to main content
GET
/
reports
/
runs
/
{run_id}
Get Run Details
curl --request GET \
  --url https://analyst.heyhumm.ai/reports/runs/{run_id} \
  --header 'Authorization: Bearer <token>'
{
  "run": {
    "schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_email": "<string>",
    "status": "triggered",
    "started_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "error_message": "<string>",
    "thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "summary": "<string>",
    "is_read": true,
    "read_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "is_source_run": true,
    "source_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "schedule": {
    "command_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "cron_expression": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "next_run_time": "2023-11-07T05:31:56Z",
    "last_run_time": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "timezone": "UTC",
    "enabled": true,
    "name": "<string>",
    "run_mode": "per_subscriber",
    "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "command_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string<uuid>
required

Run ID

Query Parameters

organization_id
string
required

Response

Successful Response

Response for run details endpoint, includes thread info.

run
CommandRunResponse · object
required

Response model for command run.

schedule
CommandScheduleResponse · object
required

Response model for command schedule.

command_name
string
required